Aller au contenu

byackee

Membres confirmés
  • Compteur de contenus

    89
  • Inscription

  • Dernière visite

Réputation sur la communauté

22 Excellent

À propos de byackee

  • Rang
    Membre interessé
  • Date de naissance 03/07/1982

Profile Information

  • Sexe :
    Male
  • Box
    Home Center 2
  • Version
    4.040

Visiteurs récents du profil

521 visualisations du profil
  1. byackee

    Support Gea

    Merci fred c'est ca, je partais dans un truc de ouf
  2. byackee

    Support Gea

    bonjour, Je galère un peu pour gerer le chauffage avec l'ouverture des fenetres, j'aimerais faire un truc du genre: si fenetre1 ou fenetre2 ou fenetre3 est ouverte alors appui sur bouton 2 du virtualdevice1 local fenetresSalonOpen= {"If",{{"Value-", id["FENETRE_COTE_CANAPE"], 1}}},{"If",{{"Value-", id["FENETRE_COTE_FRIGO"], 1}}},{"If",{{"Value-", id["FENETRE_COTE_TV"], 1}}},{"If",{{"Value-", id["FENETRE_COTE_HOTTE"], 1}}} GEA.add(id["RADIATEUR"], -1, "Coupure chauffage", {"VirtualDevice", id["PANNEAU_CHAUFFAGE"], "7"},fenetresSalonOpen, {"Global", "sms", hc2prefixe .."coupure chauffage"},sendsms_vince }) Merci pour votre aide
  3. On peut le faire aussi avec une adresse mac. Il suffit d apporter une petite modif dans le script Envoyé de mon PE-TL10 en utilisant Tapatalk
  4. J'ai un modem/routeur sfr sur le reseau 192.168.1.x et mon linksys est sur le reseau 192.168.2.x. C'est le linksys qui gere l'atribution DHCP et du coup le routeur sfr sert juste de modem. Si vous avez un nas synology vous pouvez aussi lui confier l'atribution des adresse IP car il fait office de server DHCP. Je pense que le différence entre routeur sont liés a la bonne qualité du server DHCP.
  5. Pour ma part j'utilise un routeur WRT1900AC de linksys et ca fonctionne parfaitement avec apple et android.
  6. Le tuto de Tony ne fonctionnait que quelques temps et après plus aucune mise a jour. Que du C/C, tu as du mal regardé les scripts alors J ai modifié le code et l avantage est que si tu veux tester plusieurs téléphone, tu ajoute un script dans le répertoire /home/hc2 et il ne lancera a la prochaine boucle. J'ai bien noté en début de post que j avais repris beaucoup de chose et je les aient améliorés. Envoyé de mon PE-TL10 en utilisant Tapatalk
  7. Bonjour a tous, Ci-dessous un petit tuto afin de detecter si vous êtes chez vous ou non, le principe repose comme d'autres tutos sur la connection du smartphone sur le wifi. Il n'y a nul besoin d'avoir une application installé sur le téléphone. J'ai réalisé des tests avec un smartphone android et iphone4 sous IOS8 Fonctions: 1) Identifier si le ou les smartphones se connectent au réseau wifi. 2) Renseigner une variable de la HC2 sur "Absent" ou "Present". 3) A partir des états des variables pouvoir lancer des scènes. Prérequis: - Linux (genre un raspberry ou ubuntu), fonctionne également sur syno avec la nouvelle fonction docker - Smartphone android ou iphone - une HC2 Remerciements: Merci a sebcbien pour ses icons et ses idées: son post ici Merci a Tony270570 pour son tuto, la plupart de ce tuto a été un "copier/coller" du sien: son post ici Actions a réaliser sur la HC2: 1/ Créer un variable prédéfini avec le nom de votre choix (ex: presence_vince) avec 2 valeurs, Les majuscules sont importantes: - Absent - Present 2/ Ajouter les icones joint a ce post 3/ Créer un virtual device avec le fichier joint a ce post. Modifier dans le main loop les infos suivantes: - Modifier le nom de la variable que vous avez défini ci-dessus. - Modifier le numéro de l'icone pour la fonction "present" et "absent". Actions a réaliser sur le server linux: Télécharger l'application ici wget http://www.overlooksoft.com/getfing4arm Installer fing sudo dpkg -i overlook-fing-2.2.deb Installer les librairies complémentaires sudo apt-get install libpcap* Créer le répertoire hébergent le script sudo mkdir /home/hc2 Création du script de test de connexion wifi et le paramétrer Créer le fichier sudo nano test_presence_vince.sh vous pouvez biensur remplacer le nom du script, il n'a aucune importance mis a part s'y retrouver copier le script ci-dessous dans le fichier #!/bin/bash # Script check IP and update HC2 global variable # Never ending loop # version 1.00 # Author: byackee # Original Author: Tony270570 nomvariable="Presence_vince" login="admin" password="votre mot de passe" hc2ip="192.168.0.3" while : do grep -n "<center>UP</TD><TD>192.168.2.83" /var/www/ping/lan.html if [ $? -eq 0 ] then curl -s -X PUT -d '{"value": "Present"}' http://$login:$password@$hc2ip/api/globalVariables/$nomvariable echo "present" sleep 10 else curl -s -X PUT -d '{"value": "Absent"}' http://$login:$password@$hc2ip/api/globalVariables/$nomvariable echo "absent" sleep 10 fi done Il faut modifier les variables en début de script: nomvariable ==> nom de la variable créé sur la HC2 login ==> login de la HC2 password ==> mot de pass de la HC2 hc2ip ==> adresse ip de la HC2 lancer la commande suivante: sudo chmod 755 « test_presence_vince Les opérations ci-dessus peuvent etre réalisées autant de fois que de personnes/smartphones a tester Créer un script pour le lancement des scripts au boot Créer le fichier sudo nano exec_presence Copier le code suivant dans le fichier #! /bin/sh ### BEGIN INIT INFO # Provides: exec_presence # Required-Start: $all # Required-Stop: # Default-Start: 2 3 4 5 # Default-Stop: # Short-Description: Run /home/HC2/test_presence if it exist ### END INIT INFO # version 1.00 # Author: byackee # Original Author: Tony270570 PATH=/sbin:/usr/sbin:/bin:/usr/bin . /lib/init/vars.sh . /lib/lsb/init-functions scriptpath="/home/hc2/" do_start() { for i in $scriptpath"/"* ; do echo "lancement du script: "$i $i & sleep 2 done } case "$1" in start) do_start ;; restart|reload|force-reload) echo "Error: argument '$1' not supported" >&2 exit 3 ;; stop) ;; *) echo "Usage: $0 start|stop" >&2 exit 3 ;; esac donner les droits et l'autorisation de lancement du script au démarrage sudo chmod 755 exec_presence update-rc.d -f exec_presence defaults 7/ créer un script de demarrage de fing Créer le fichier sudo nano startfing et y copier le code suivant #! /bin/sh ### BEGIN INIT INFO # Provides: startfing # Required-Start: $all # Required-Stop: # Default-Start: 2 3 4 5 # Default-Stop: # Short-Description: Run fing with unlimited loop ### END INIT INFO # version 1.00 # Author: byackee # Original Author: Tony270570 PATH=/sbin:/usr/sbin:/bin:/usr/bin . /lib/init/vars.sh . /lib/lsb/init-functions do_start() { fing -n 192.168.2.0/24 -o table,html,/var/www/ping/lan.html & } case "$1" in start) do_start ;; restart|reload|force-reload) echo "Error: argument '$1' not supported" >&2 exit 3 ;; esac Il faut simplement modifier l'adresse IP de votre reseau. donner les droits et l'autorisation de lancement du script au démarrage sudo chmod 755 startfing update-rc.d -f startfing defaults Voila maintenant votre/vos smartphone sont détectés lors de la connexion au wifi. Le délai peut varié mais il est en générale de 20 a 30s. icons: Presence_So.vfib
  8. byackee

    S.a.h.r.a Et Hc2

    J ai fait ça un peu a l arrache, je remet ça propre très vite Envoyé de mon PE-TL10 en utilisant Tapatalk
  9. byackee

    S.a.h.r.a Et Hc2

    J ai commencé a modifié le fichier js, il est dispo sur mon github. Les actions sur lumières binaires fonctionnent mais je n ai pas testé le reste (pas beaucoup de temps) Je reprends ça demain Envoyé de mon PE-TL10 en utilisant Tapatalk
  10. byackee

    S.a.h.r.a Et Hc2

    Je modifie ça cette après midi Envoyé de mon PE-TL10 en utilisant Tapatalk
  11. byackee

    Raspberripcam - Transformer Votre Raspberry En Caméra Ip

    La caméra tourne depuis 2 jours en 1280x720p a 15FPS Pas de lag pour le moment, la video ci-jointe a été réalisé par une detection de mouvement du synology surveillance station.
  12. byackee

    Raspberripcam - Transformer Votre Raspberry En Caméra Ip

    Salut, cela fait moins d une journée que la cam diffuse le flux. J'ai une bonne qualité en 640x480 avec une latence de 1s. C'est pas gênant dans le cadre d une surveillance domotique (je demande pas de la 4k en streaming a 25 FPS lol) je ferais une video dans la semaine Envoyé de mon PE-TL10 en utilisant Tapatalk
  13. byackee

    Raspberripcam - Transformer Votre Raspberry En Caméra Ip

    Encore une petite modification, le stream de la caméra du raspberry est pleinement fonctionnel sur l'interface de la HC2. Ya plus qu'a comme on dit...
  14. byackee

    Raspberripcam - Transformer Votre Raspberry En Caméra Ip

    Pour info, petite modification le stream de la caméra fonctionne tres bien sur l'appli android (voir screenshot en bas du 1er post).
  15. Bonjour a tous, Ci-dessous un petit tuto pour faire fonctionner la caméra du raspberry sur votre synology et votre HC2. Le but est de convertir votre raspberry en caméra IP et le tout pour 70€ max au lieu des 200€ habituels. Fonctions: 1) Lors d’une intrusion ou une détection, prendre une photo et l’envoyer par mail avec la fonction intégrée de la HC2 2) Lancer l’enregistrement de la caméra par l’appli surveillance station grâce au tuto de Lazer: ici 3) Vous servir de la caméra pour créer un portier vidéo. Prerequis: - un raspberry avec rasbian installé - une raspicam - une HC2 Sur le raspberry: Connectez-vous au raspberry en SSH # Mise a jour du raspberry et de raspbian sudo apt-get update && sudo apt-get -y upgrade && sudo apt-get -y dist-upgrade sudo apt-get install ca-certificates git-core sudo wget https://raw.github.com/Hexxeh/rpi-update/master/rpi-update -O /usr/bin/rpi-update && sudo chmod +x /usr/bin/rpi-update sudo rpi-update sudo reboot # Installation de libjpeg et cmake sudo apt-get install libjpeg62-dev cmake # Téléchargement de mjpg-streamer avec le plugin raspicam git clone https://github.com/jacksonliam/mjpg-streamer.git ~/mjpg-streamer # Compilation cd ~/mjpg-streamer/mjpg-streamer-experimental make clean all # Installation de mjpg-streamer sudo mv ~/mjpg-streamer/mjpg-streamer-experimental /opt/mjpg-streamer sudo rm -rf ~/mjpg-streamer # Création des scripts de démarrage Fichier start_stream.sh #!/bin/bash if pgrep mjpg_streamer > /dev/null then echo "mjpg_streamer already running" else LD_LIBRARY_PATH=/opt/mjpg-streamer/ /opt/mjpg-streamer/mjpg_streamer -i "input_raspicam.so -fps 15 -q 50 -x 640 -y 480" -o "output_http.so -p 9000 -w /opt/mjpg-streamer/www" > /dev/null 2>&1& echo "mjpg_streamer started" fi Fichier stop_stream.sh #!/bin/bash if pgrep mjpg_streamer then kill $(pgrep mjpg_streamer) > /dev/null 2>&1 echo "mjpg_streamer stopped" else echo "mjpg_streamer not running" fi Sur le synology: # Ajout de la caméra Renseigner: Adresse IP: IP du raspberry Port: 9000 chemin source: ?action=stream Cliquer sur "test de connexion", si vous avez la petite coche verte c'est que vous avz réussi Sur la HC2: # Ajout de la caméra Une fous sur la page d’accueil si vous cliquer sur l'icone "prendre une photo", vous recevrer un mail avec une jolie capture d'écran. Screenshot sur interface web: Screenshot de l'appli android: Voili voilou A tres bientot
×